/*
 *      L I S T _ H a s h S e t u p
 *
 *  This function is called when it is required
 *  to clone an existing list.
 *
 *
 * (c) Copyright 1996 David J. Walker
 *     Email:  d.j.walker@slh0101.wins.icl.co.uk
 *
 *     Permission to copy and/or distribute granted under the
 *     following conditions:
 *
 *     1). This notice must remain intact.
 *     2). The author is not responsible for the consequences of use
 *         this software, no matter how awful, even if they
 *         arise from defects in it.
 *     3). Altered version must not be represented as being the
 *         original software.
 *
 *
 *  AMENDMENT HISTORY
 *  ~~~~~~~~~~~~~~~~~
 *  28 May 96   DJW   - First version
 */

#include <liblist.h>
#include <sys/liblist.h>
#include <errno.h>


extern
int     LIST_HashSetup (list_t list, size_t size,
                        size_t (*hashcalc)(node_t),
                        list_t linked)
{
    (void)list;
    (void)size;
    (void)hashcalc;
    (void)linked;
    return EACCES;
}

