/*
 *      _ L I S T _ L i s t N e x t
 *
 *  This function is an internal support
 *  function called to find the next node
 *  on a linked list.
 *
 *
 * (c) Copyright 1996 David J. Walker
 *     Email:  d.j.walker@slh0101.wins.icl.co.uk
 *
 *     Permission to copy and/or distribute granted under the
 *     following conditions:
 *
 *     1). This notice must remain intact.
 *     2). The author is not responsible for the consequences of use
 *         this software, no matter how awful, even if they
 *         arise from defects in it.
 *     3). Altered version must not be represented as being the
 *         original software.
 *
 *
 *  AMENDMENT HISTORY
 *  ~~~~~~~~~~~~~~~~~
 *  18 May 96   DJW   - First version
 */


#include <liblist.h>
#include <sys/liblist.h>


extern
node_t  _LIST_ListNext      (list_t list, node_t node)
#define _node ((_lifo_t)node)
{
    _node = _node->next;
    if (_node != NULL)
    {
        _node = _LIST_USERNODE(list,_node);
    }
    return (_node);
}


